#include <PBS_Server.h>

const char * msg_daemonname = SetLogLocal("testUnderlord");

int main ( int argc, char ** argv)
{
int connID;

if(argc<3 || argv[1][0]!='-')
	{
	fprintf(stdout, "Format is : dumpJobs -athwqres server\n");
	fprintf(stdout, "            -a = All\n");
	fprintf(stdout, "            -t = Transiting\n");
	fprintf(stdout, "            -h = Held\n");
	fprintf(stdout, "            -w = Waiting\n");
	fprintf(stdout, "            -q = Queued\n");
	fprintf(stdout, "            -r = Running\n");
	fprintf(stdout, "            -e = Exiting\n");
	fprintf(stdout, "            -s = Suspended\n");	
	}
else if((connID = pbs_connect(argv[2]))<=0)
	{
	fprintf(stdout, "%s does not appear to be a valid server\n", argv[2]);
	}
else	{
	int t=0, h=0, w=0, q=0, r=0, e=0, s=0, a=0, i;
	
	char * ptr = argv[1]+1;
	while(*ptr)
		{
		if(*ptr=='t') t++;
		else if(*ptr=='h') h++;
		else if(*ptr=='w') w++;
		else if(*ptr=='q') q++;
		else if(*ptr=='r') r++;
		else if(*ptr=='e') e++;
		else if(*ptr=='s') s++;
		else if(*ptr=='a') a++;
		ptr++;
		}
	PBS_Server server(connID);
	
	if(a)	{
		PBS_JobList & job = server;
		job.asciiDump();
		}
	else
		{
		if(t)	{
			PBS_JobList job = server.getTransitingJobs();
			job.asciiDump();
			}
		if(h)	{
			PBS_JobList job = server.getHeldJobs();
			job.asciiDump();
			}
		if(w)	{
			PBS_JobList job = server.getWaitingJobs();
			job.asciiDump();
			}
		if(q)	{
			PBS_JobList job = server.getQueuedJobs();
			job.asciiDump();
			}
		if(r)	{
			PBS_JobList job = server.getRunningJobs();
			job.asciiDump();
			}
		if(e)	{
			PBS_JobList job = server.getExitingJobs();
			job.asciiDump();
			}
		if(s)	{
			PBS_JobList job = server.getSuspendedJobs();
			job.asciiDump();
			}
		}
		
	pbs_disconnect(server.getConnectionID());
	}
return 0;
}
