#include <UnderLord.h>
#include <PBS_Parameters.h>
#include <PBS_Log.h>
#include <stdio.h>
#include <PBS_Log.h>

const char * msg_daemonname = SetLogLocal("testRun");

int main (int argc, char ** argv )
	{
	if(argc>3)
		{
		char * serverName = argv[1];
		char * job        = argv[2];
		char * nodes      = argv[3];
		int    error;
		int connID        = pbs_connect(serverName);
		
		if(connID>0 && (error = pbs_runjob(connID, job, nodes, NULL))!=0)
			{
			LogError("UnderLord", "Failed to run job %s", job);
			LogError("UnderLord", "Job %s error code is %i : %s\n", job, pbs_errno, pbse_to_txt(pbs_errno));
						
			fprintf(stderr, "PBS RUN JOB ERROR\n");
			fprintf(stderr, "   => Job         : %s\n",   job);
			fprintf(stderr, "   => Node        : %s\n",   nodes);
			fprintf(stderr, "   => Return Code : %i\n",   error);
			fprintf(stderr, "   => PBS Errno   : %i\n",   pbs_errno);
			fprintf(stderr, "   => PBS Error   : %s\n\n", pbse_to_txt(pbs_errno)); 
			}
		else	{
			LogRecord("UnderLord", "Job %s Started on %s", job, nodes);
			}		
		}
	}
	
